opencv: CvBlobTracker Class Reference

Public Member Functions

# CvBlobTracker Class Reference

`#include <blobtrack.hpp>`

Inheritance diagram for CvBlobTracker:

List of all members.

## Public Member Functions
virtual CvBlob * | AddBlob (CvBlob *pBlob, IplImage *pImg, IplImage *pImgFG=NULL)=0
| CvBlobTracker ()
virtual void | DelBlob (int BlobIndex)=0
virtual void | DelBlobByID (int BlobID)
virtual CvBlob * | GetBlob (int BlobIndex)=0
virtual CvBlob * | GetBlobByID (int BlobID)
virtual CvBlob * | GetBlobHyp (int BlobIndex, int)
virtual int | GetBlobHypNum (int)
virtual int | GetBlobIndexByID (int BlobID)
virtual int | GetBlobNum ()=0
virtual double | GetConfidence (int, CvBlob *, IplImage *, IplImage *=NULL)
virtual double | GetConfidenceList (CvBlobSeq *pBlobList, IplImage *pImg, IplImage *pImgFG=NULL)
virtual void | Process (IplImage *pImg, IplImage *pImgFG=NULL)=0
virtual void | ProcessBlob (int BlobIndex, CvBlob *pBlob, IplImage *, IplImage *=NULL)
virtual void | Release ()=0
virtual void | SetBlob (int, CvBlob *)
virtual void | SetBlobByID (int BlobID, CvBlob *pBlob)
virtual void | SetBlobHyp (int, CvBlob *)
virtual void | Update (IplImage *pImg, IplImage *pImgFG=NULL)
virtual void | UpdateBlob (int, CvBlob *, IplImage *, IplImage *=NULL)

## Constructor & Destructor Documentation

CvBlobTracker::CvBlobTracker | ( | ) |

## Member Function Documentation

virtual CvBlob* CvBlobTracker::AddBlob | ( | CvBlob * | pBlob,
|  | IplImage * | pImg,
|  | IplImage * | pImgFG = `NULL`
| ) |  | `[pure virtual]`

virtual void CvBlobTracker::DelBlob | ( | int | BlobIndex ) | `[pure virtual]`

virtual void CvBlobTracker::DelBlobByID | ( | int | BlobID ) | `[virtual]`

virtual CvBlob* CvBlobTracker::GetBlob | ( | int | BlobIndex ) | `[pure virtual]`

virtual CvBlob* CvBlobTracker::GetBlobByID | ( | int | BlobID ) | `[virtual]`

virtual CvBlob* CvBlobTracker::GetBlobHyp | ( | int | BlobIndex,
|  | int |
| ) |  | `[virtual]`

virtual int CvBlobTracker::GetBlobHypNum | ( | int | ) | `[virtual]`

virtual int CvBlobTracker::GetBlobIndexByID | ( | int | BlobID ) | `[virtual]`

virtual int CvBlobTracker::GetBlobNum | ( | ) | `[pure virtual]`

virtual double CvBlobTracker::GetConfidence | ( | int | ,
|  | CvBlob * | ,
|  | IplImage * | ,
|  | IplImage * | = `NULL`
| ) |  | `[virtual]`

virtual double CvBlobTracker::GetConfidenceList | ( | CvBlobSeq * | pBlobList,
|  | IplImage * | pImg,
|  | IplImage * | pImgFG = `NULL`
| ) |  | `[virtual]`

virtual void CvBlobTracker::Process | ( | IplImage * | pImg,
|  | IplImage * | pImgFG = `NULL`
| ) |  | `[pure virtual]`

virtual void CvBlobTracker::ProcessBlob | ( | int | BlobIndex,
|  | CvBlob * | pBlob,
|  | IplImage * | ,
|  | IplImage * | = `NULL`
| ) |  | `[virtual]`

virtual void CvBlobTracker::Release | ( | ) | `[pure virtual]`

Implements CvVSModule.

virtual void CvBlobTracker::SetBlob | ( | int | ,
|  | CvBlob * |
| ) |  | `[virtual]`

virtual void CvBlobTracker::SetBlobByID | ( | int | BlobID,
|  | CvBlob * | pBlob
| ) |  | `[virtual]`

virtual void CvBlobTracker::SetBlobHyp | ( | int | ,
|  | CvBlob * |
| ) |  | `[virtual]`

virtual void CvBlobTracker::Update | ( | IplImage * | pImg,
|  | IplImage * | pImgFG = `NULL`
| ) |  | `[virtual]`

virtual void CvBlobTracker::UpdateBlob | ( | int | ,
|  | CvBlob * | ,
|  | IplImage * | ,
|  | IplImage * | = `NULL`
| ) |  | `[virtual]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/legacy/include/opencv2/legacy/blobtrack.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines